package kcg.faics.susa.vo;

import kcg.faics.cmmn.bbs.BaseSearchVO;

/**
 * 외사수사 검색정보 Value Object.
 * 
 * @author kimnomin
 *
 */
public class SearchVO extends BaseSearchVO {

	/**
	 * 외사수사 분류. (in-내사수사, pr-공작추진)
	 */
	private String type;

	/**
	 * 부서.
	 */
	private String place1;

	/**
	 * 경찰청 코드.
	 */
	private String agencyCode;

	/**
	 * 생성자. 
	 */
	public SearchVO() {
		setRecordCountPerPage(20);
	}

	/**
	 * 외사수사 분류를 반환한다.
	 * 
	 * @return 외사수사 분류 (in-내사수사, pr-공작추진)
	 */
	public final String getType() {
		return type;
	}

	/**
	 * 외사수사 분류를 설정한다.
	 * 
	 * @param type
	 *            외사수사 (in-내사수사, pr-공작추진)
	 */
	public final void setType(final String type) {
		this.type = type;
	}

	/**
	 * 부서를 반환한다.
	 * 
	 * @return 부서
	 */
	public final String getPlace1() {
		return place1;
	}

	/**
	 * 부서를 설정한다.
	 * 
	 * @param place1
	 *            부서
	 */
	public final void setPlace1(final String place1) {
		this.place1 = place1;
	}

	/**
	 * 경찰청 코드를 반환한다.
	 * 
	 * @return 경찰청 코드
	 */
	public final String getAgencyCode() {
		return agencyCode;
	}

	/**
	 * 경찰청 코드를 설정한다.
	 * 
	 * @param agencyCode
	 *            경찰청 코드
	 */
	public final void setAgencyCode(final String agencyCode) {
		this.agencyCode = agencyCode;
	}
}
